WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000432WeBidAdmin Control Panelpublic2013-06-13 18:212015-05-22 14:24
Reporterlinux4me 
Assigned Torenlok 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1.0 
Target VersionFixed in Version1.2.0 
Summary0000432: Database Error on Saving Settings -> Auction Settings Due to Missing Default Value for cust_increment
DescriptionTo reproduce this error, start with a clean install of WeBid v. 1.1.0.



In the back end, go to Settings -> Auction Settings. Note that there is no default setting for "Allow Custom Increments." If the user clicks the "Save changes" button without setting the Custom Increments to either "yes" or "no," they will get an error which shows up in the error log as a MySQL error due to the missing value for the field "cust_increment."



I would fix this by adding a default value of 1 for the cust_increment field in the webid_settings table in the database so that a value is entered for this field when the user does the installation.



A workaround is for the user to just select "yes" or "no" on the Settings page before saving their changes.



Granted, this only happens if a user doesn't notice that the "Allow Custom Increments" selection is not made and clicks "Save changes," but it's worth fixing.
TagsNo tags attached.
import_id434
Thread
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 434
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2013-06-13 18:21
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2013-06-13 18:21
2015-04-01 17:13 renlok File Added: SaleDate_error.jpg
2015-05-22 14:24 renlok Status new => resolved
2015-05-22 14:24 renlok Fixed in Version => 1.2.0
2015-05-22 14:24 renlok Resolution open => fixed
2015-05-22 14:24 renlok Assigned To => renlok


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker